### Function Macro

# GLib newa0

since: 2.72

#### Declaration

    #define g_newa0 (
      struct_type,
      n_structs
    )

#### Description

Wraps `g_alloca0()` in a more typesafe manner.

Available since: 2.72

This function is not directly available to language bindings.

#### Parameters

`struct_type`

  Type: `-`

  The type of the elements to allocate.

`n_structs`

  Type: `-`

  The number of elements to allocate.